Subject: Re: Update message_advice_pull_before_push to mention how to push after rebasing

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Mar 2024 10:35:53 -0700

zhang kai <[email-masked]> writes:

> Updates were rejected because the tip of your current branch is behind
> its remote counterpart. If you want to integrate the remote changes,
> use 'git pull' before pushing again. If this is not the case, you may consider
> `git push --force-with-lease`.
> See the 'Note about fast-forwards' in 'git push --help' for details.

True, but isn't that a slipperly slope to cram more and more of the
material from the manual into the "hint" that is supposed to be
short, helpful and not so obnoxious?  Perhaps removing "pull again
before you push", and saying "updates were rejected because X; see
the note about fast-forwards in the manual" and nothing else would
be an improvement?

Thanks.